Invoices
get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}Responses
200
Result data
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
The contract not found or doesn't belong to the user
application/json
500
Unexpected internal server error
application/json
get
/{contract}/invoicesget
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}idstringRequired
Invoice ID
Query parameters
dateformatstringOptional
Vendor date format
Responses
200
Result data
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Invoice with the ID not found
application/json
409
Invoice with the ID doesn't belong to the contract
application/json
500
Unexpected internal server error
application/json
get
/{contract}/invoices/{id}get
Authorizations
AuthorizationstringRequired
Path parameters
periodstringRequiredExample:
Period of interest in format YYYY-MM
2020-01Pattern: ^(\d{4}-\d{2}|null)$Query parameters
contractidstringOptional
Filter out the exact contractID
dateformatstringOptional
Vendor date format
Responses
200
Result data
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
413
Payload too large
application/json
422
Wrong period format specified
application/json
500
Unexpected internal server error
application/json
get
/invoices/{period}Last updated
Was this helpful?